#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_with	kernel		# kernel modules [already in Linux >= 2.6.34]
%bcond_without	userspace	# userspace programs
%bcond_with	verbose		# verbose build (V=1)

%if %{without kernel}
%undefine	with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif
%if %{without userspace}
# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0
%endif

%define		rel	8
%define		pname	ipheth
Summary:	iPhone USB Ethernet Driver
Summary(pl.UTF-8):	Sterownik ethernetowy dla iPhone'a po USB
Name:		%{pname}%{_alt_kernel}
Version:	1.0
Release:	%{rel}
License:	BSD/GPL v2
Group:		X11/Applications
#Source0Download: https://github.com/dgiagio/ipheth/releases/
Source0:	https://github.com/downloads/dgiagio/ipheth/ipheth-%{version}.tar.gz
# Source0-md5:	80548f0d419ff0c2784d148b40b2aeb6
URL:		https://github.com/dgiagio/ipheth
BuildRequires:	libimobiledevice-devel >= 1
BuildRequires:	pkgconfig
Requires:	udev-core
Requires:	usbmuxd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Linux Kernel driver that adds support for iPhone tethering
through USB cables. Unlike other solutions out there, you don't need
to jailbreak your phone or install third-party proxy applications.

This package contains the device pairing program.

%description -l pl.UTF-8
ipheth to sterownik jądra Linuksa dodające obsługę transmisji
ethernetowej z iPhonem przez kabel USB. W przeciwieństwie do innych
rozwiązań, nie wymaga to łamania zabezpieczeń telefonu ani
instalowania zewnętrznych proxy.

Ten pakiet zawiera program do parowania urządzeń.

%package -n kernel%{_alt_kernel}-net-ipheth
Summary:	Linux driver for iPhone USB Ethernet Driver
Summary(pl.UTF-8):	Sterownik jądra Linuksa do ethernetu dla iPhone'a po USB
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif

%description -n kernel%{_alt_kernel}-net-ipheth
Linux driver for iPhone USB Ethernet Driver.

%description -n kernel%{_alt_kernel}-net-ipheth -l pl.UTF-8
Sterownik jądra Linuksa do ethernetu dla iPhone'a po USB.

%prep
%setup -q

%build
%if %{with kernel}
%build_kernel_modules -C ipheth-driver -m ipheth CONFIG_DEBUG_SECTION_MISMATCH=y
%endif

%if %{with userspace}
%{__make} -C ipheth-pair \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall" \
	LDLIBS="%{rpmldflags} $(pkg-config --libs libimobiledevice-1.0)"
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with kernel}
%install_kernel_modules -m ipheth-driver/ipheth -d misc -s update -n %{pname}
cat <<'EOF' >> $RPM_BUILD_ROOT/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf
blacklist %{pname}
EOF
%endif

%if %{with userspace}
install -d $RPM_BUILD_ROOT/lib/udev/rules.d
install -p ipheth-pair/ipheth-pair $RPM_BUILD_ROOT/lib/udev
cp -p ipheth-pair/90-iphone-tether.rules $RPM_BUILD_ROOT/lib/udev/rules.d
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-net-ipheth
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-net-ipheth
%depmod %{_kernel_ver}

%files
%defattr(644,root,root,755)
/lib/udev/rules.d/90-iphone-tether.rules
%attr(755,root,root) /lib/udev/ipheth-pair

%if %{with kernel}
%files -n kernel%{_alt_kernel}-net-ipheth
%defattr(644,root,root,755)
/etc/modprobe.d/%{_kernel_ver}/ipheth.conf
/lib/modules/%{_kernel_ver}/misc/ipheth.ko*
%endif
%changelog
* Sun Sep 13 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ipheth.git;a=log;h=master

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 0c9b31d
- adjusted userspace package to build with libimobiledevice 1.3.0; rel 8

* Wed Jan 20 2016 Elan Ruusamäe <glen@delfi.ee> a75768b
- libimobiledevice/libplist rebuild
- release 7 (by relup.sh)

* Wed Sep 04 2013 Elan Ruusamäe <glen@delfi.ee> 6362103
- rebuild with plist 1.10
- release 6 (by relup.sh)

* Sat Mar 31 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 668fd0e
- release 5

* Sun Aug 14 2011 Elan Ruusamäe <glen@pld-linux.org> c2971ac
- typo

* Sun Aug 14 2011 Elan Ruusamäe <glen@pld-linux.org> a40c685
- make udev rules static, not config
- note, ethernet success with 3GS (iOS 4.3) on 2.6.38.8 kernel

* Sat Aug 13 2011 Elan Ruusamäe <glen@pld-linux.org> 0120bda
- if building kernel module, re-alias to use our module update

* Sat Aug 13 2011 Elan Ruusamäe <glen@pld-linux.org> 40c58df
- quite useless without usbmuxd

* Sat Aug 13 2011 Elan Ruusamäe <glen@pld-linux.org> 956d0e5
- source url

* Mon Jul 04 2011 zbyniu <zbyniu@pld-linux.org> 2e51e05
- up to 1.0

* Fri Dec 31 2010 Elan Ruusamäe <glen@pld-linux.org> 4b9a0fe
- new snap

* Sun Jul 18 2010 Elan Ruusamäe <glen@pld-linux.org> 8249fc6
- kernel part (still disabled as module included in 2.6.34)

* Sun Jul 18 2010 Elan Ruusamäe <glen@pld-linux.org> b30439c
- new, just userspace

